<template>
  <div id="create">
    <img alt="Vue logo" src="../assets/logo-mini-jaune-sans-fond.png">
    <b-container class="formContainer">
      <h3>Nouvel article</h3>
      <b-form-input placeholder="Titre de l'article" v-model="article.title"></b-form-input>
      <b-form-textarea id="textarea1" v-model="article.body" placeholder="Contenu de l'article" :rows="10"></b-form-textarea>
      <div class="buttondiv">
        <router-link :to="{ path: '/' }">
          <b-button id="saveButton">Annuler</b-button>
        </router-link>
        <router-link :to="{ path: '/' }">
          <b-button @click="submit" id="saveButton">Enregistrer</b-button>
        </router-link>
      </div>
    </b-container>
  </div>
</template>

<script>
export default {
  name: "CreateForm",
  data() {
    return {
      article: {
        title: "",
        body: ""
      }
    };
  },
  methods: {
    submit(article) {
      this.$store.commit("saveNewArticle", this.article);
      //this.article.id = this.$store.state.articles.length + 1
      //this.$store.state.articles.push(this.article);
    }
  }
};
</script>
  
<style>
.formContainer {
  width: 35%;
  border: solid;
  margin: 50px auto 50px auto;
}

.buttondiv {
  display: flex;
  justify-content: flex-end;
  margin-bottom: 20px;
  }

.btn {
  align-content: right;
  background-color: white;
  border: 2px solid black;
  box-shadow: 5px 5px 5px grey;
  margin: 10px;
  color: black;
}

.btn:hover {
  background-color: white;
  box-shadow: 2px 2px 2px grey;
  color: black;
}

h3 {
  text-align: left;
  padding-bottom: 20px;
  padding-top: 10px;
}

.form-control {
  border: 2px solid;
  margin-bottom: 20px;
}

.btn {
  background-color: white;
  border: 2px solid black;
  box-shadow: 5px 5px 5px grey;
  margin: 10px;
  color: black;
}
.btn:hover {
  background-color: white;
  box-shadow: 2px 2px 2px grey;
  color: black;
}
</style>

